Modul ließ sich nicht richtig entfernen

  • Hallo zusammen,


    ich habe auf einer Seite das Problem das ich das Ajax Kontaktformular in der Version 1.0 installiert hatte, nun stellte sich heraus das ich die neueste Version brauche da die Overwrite funktion in dieser Version wohl fehlerhaft war. Ich habe also versucht einfach die neue Version drüberzubügeln. Ging nicht, Modul sei bereits vorhanden. Ok, also die alte Version deinstalliert und danach die neue drauf, geht weiterhin nicht. Immerwieder gibt es irgendwelche Fragmente die angeblich noch irgendwo umherschwirren. Habe schon per ftp geschaut, das was ich gefunden habe zumindest umbenannt in old_ aber trotzdem klappt es nicht. Habe jetzt zum Schluß die zip Datei entpackt und einfach nen Ordner erstellt mit der der neuen Modul Version. Da kommt dann folgende Fehlermedung:


    Warnung

    Installieren der Erweiterung: Eine andere(s) module benutzt bereits das Verzeichnis „/var/www/vhosts/rks-rimberger.com/httpdocs/modules/mod_tm_ajax_contact_form“. Soll dieselbe Erweiterung erneut installiert werden?


    Kann ich irgendwo einstellen das er genau das tut und dieselbe Erweiterung erneut installiert? Bzw. hat einer nen anderen Tipp?



    Vielen Dank

  • Jep, per FTP löschen, und in der Datenbank in der Tabelle #__extensions den entsprechenden Eintrag suchen, und löschen. Die ID des Moduls wird dir im Backend bei Erweiterungen --> Verwalten angezeigt. Vorher vorsichtshalber die DB sichern.

    Ok, hab ich gemacht. Jetzt kommt das:


    Warnung

    JLIB_INSTALLER_ABORT_MOD_INSTALL_ALLREADY_EXISTS

  • Wo hast du das denn überhaupt her? Unter "TM Ajax Contact Form" find ich nix und unter "Ajax Contact" finde ich nur Bezahl-Erweiterungen. Da wundert mich dann aber wie du an die falsche Version geraten bist, wenn du es gakauft hast.


    Zippe und poste die mod_tm_ajax_contact_form.xml des Installationspaketes! Bitte nur diese eine Datei.

    Die falsche Version war in meinem Template eingebunden. der Support hat das festgestllt nachdem ich verzweifelt versucht habe die Overwirtes zu machen. Daraufhin haben die mir die neue Version geschickt.

  • Die falsche Version war in meinem Template eingebunden. der Support hat das festgestllt nachdem ich verzweifelt versucht habe die Overwirtes zu machen. Daraufhin haben die mir die neue Version geschickt.

    Wenn du noch Support bei Templatemonster hast, warum fragst nicht den?


    Sowohl die 1.0 als auch die 2.1.7 sind nicht ausgelegt für Updates oder Neuinstallationen, was sonderlich ist und was man an diesem Eintrag in der XML sieht.

    method="install"

    Kann man nur so verbleiben:

    - Wenn du sicher bist in #__extensions ALLE in Frage kommenden Einträge gelöscht zu haben (vielleicht ja auch mehrere durch Fehlinstallationen) und die Tabelle den richtigen Tabellen-Prefix der Joomla-Installation hat,

    - und ebenso in Tabelle #__modules (wobei das eigentlich wurst sein sollte)

    - und dann radikal den Ordner modules/mod_tm_ajax_contact_form GELÖSCHT hast.

    seh ich nix mehr per Ferndiagnose und du wendest dich wohl besser an jemanden unter dem Link "Dienstleister" oben im Forumsmenü.